Date: Tue, 11 Aug 1998 09:15:21 +0200 (CEST)
From: Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be>
To: Joerg Dorchain <dorchain@wirbel.com>
cc: Linux/m68k <linux-m68k@lists.linux-m68k.org>
Subject: Re: L68K: 2.1.115 questions
In-Reply-To: <199808102309.BAA28112@Enterprise.wirbel.com>
Sender: owner-linux-m68k@phil.uni-sb.de

On Tue, 11 Aug 1998, Joerg Dorchain wrote:
> I just booted 2.1.115and noticed some things.
> 
> First, the lnux logo stay on the console screen. IMHO that a good idea,
> but it has strange colors and the upper region isn't accesible any more.

I also saw the strange colors. I plugged in the vger drivers/video immediately,
so I wasn't sure it also happened in Jes' tree. Thanks for making sure :-)

> So how many bitplanes are needed to see the "real" logo (I have currently
> 4), and how does the screen become fully usable again?

8 planes.

<ESC>c to reset the console.

> Next, I have sound support compiled as a module, and a depmod produces 
> 
> Updating module dependencies
> /var/src/linux/modules/misc/soundcore.o: unresolved symbol(s)
>         read
> 	lseek
> 
> Anyone any ideas?

Please try this patch:

  - Add lseek() and read() to unistd.h since sound needs it
  - Get rid of incorrect/duplicate fb config docs
  - Revert (update?) some files were Linus seems to have the most recent
    version
  - Serial console init needs kmem_start

Video stuff (quite a lot) will follow later.

diff -u --recursive --exclude-from=/home/geert/diff-excludes-linux --new-file jes-2.1.115/Documentation/Configure.help m68k/Documentation/Configure.help
--- jes-2.1.115/Documentation/Configure.help	Sun Aug  9 21:47:09 1998
+++ m68k/Documentation/Configure.help	Mon Aug 10 21:16:48 1998
@@ -8891,35 +8891,6 @@
   Note that even if you say N here, you can still use your expansion
   cards. If in doubt, say Y.
 
-Amiga OCS chipset support
-CONFIG_AMIFB_OCS
-  This enables support for the original Agnus and Denise video chips,
-  found in the Amiga 1000 and most A500's and A2000's.  If you intend
-  to run Linux on any of these systems, say Y; otherwise say N.
-
-Amiga ECS chipset support
-CONFIG_AMIFB_ECS
-  This enables support for the Enhanced Chip Set, found in later
-  A500's, later A2000's, the A600, the A3000, the A3000T and CDTV.  If
-  you intend to run Linux on any of these systems, say Y; otherwise
-  say N.
-
-Amiga AGA chipset support
-CONFIG_AMIFB_AGA
-  This enables support for the Advanced Graphics Architecture (also
-  known as the AGA or AA) Chip Set, found in the A1200, A4000, A4000T
-  and CD32.  If you intend to run Linux on any of these systems, say Y;
-  otherwise say N.
-
-Amiga Cybervision support
-CONFIG_FB_CYBER
-  This enables support for the Cybervision 64 graphics card from Phase5.
-  Please note that its use is not all that intuitive (i.e. if you have
-  any questions, be sure to ask!).  Say N unless you have a Cybervision
-  64 or plan to get one before you next recompile the kernel.
-  Please note that this driver DOES NOT support the Cybervision 64 3D
-  card at present, as they use incompatible video chips.
-
 Amiga GSP (TMS340x0) support
 CONFIG_AMIGA_GSP
   Include support for Amiga graphics cards that use the Texas
diff -u --recursive --exclude-from=/home/geert/diff-excludes-linux --new-file jes-2.1.115/include/asm-m68k/unistd.h m68k/include/asm-m68k/unistd.h
--- jes-2.1.115/include/asm-m68k/unistd.h	Sun Aug  9 21:48:46 1998
+++ m68k/include/asm-m68k/unistd.h	Tue Aug 11 00:32:54 1998
@@ -313,6 +313,8 @@
 static inline _syscall0(int,sync)
 static inline _syscall0(pid_t,setsid)
 static inline _syscall3(int,write,int,fd,const char *,buf,off_t,count)
+static inline _syscall3(int,read,int,fd,char *,buf,off_t,count)
+static inline _syscall3(off_t,lseek,int,fd,off_t,offset,int,count)
 static inline _syscall1(int,dup,int,fd)
 static inline _syscall3(int,execve,const char *,file,char **,argv,char **,envp)
 static inline _syscall3(int,open,const char *,file,int,flag,int,mode)
diff -u --recursive --exclude-from=/home/geert/diff-excludes-linux --new-file jes-2.1.115/include/linux/fs.h m68k/include/linux/fs.h
--- jes-2.1.115/include/linux/fs.h	Sun Aug  9 21:48:52 1998
+++ m68k/include/linux/fs.h	Mon Aug 10 22:46:31 1998
@@ -829,7 +829,7 @@
 extern void mount_root(void);
 
 #ifdef CONFIG_BLK_DEV_INITRD
-extern int real_root_dev;
+extern kdev_t real_root_dev;
 extern int change_root(kdev_t new_root_dev,const char *put_old);
 #endif
 
diff -u --recursive --exclude-from=/home/geert/diff-excludes-linux --new-file jes-2.1.115/include/linux/tty.h m68k/include/linux/tty.h
--- jes-2.1.115/include/linux/tty.h	Sun Aug  9 21:48:55 1998
+++ m68k/include/linux/tty.h	Mon Aug 10 22:47:37 1998
@@ -388,7 +388,7 @@
 
 /* serial.c */
 
-extern void serial_console_init(void);
+extern long serial_console_init(long kmem_start, long kmem_end);
  
 /* pcxx.c */
 
diff -u --recursive --exclude-from=/home/geert/diff-excludes-linux --new-file jes-2.1.115/init/main.c m68k/init/main.c
--- jes-2.1.115/init/main.c	Sun Aug  9 21:48:56 1998
+++ m68k/init/main.c	Mon Aug 10 21:26:46 1998
@@ -334,7 +334,7 @@
 extern int rd_size;		/* Size of the ramdisk(s) */
 extern int rd_image_start;	/* starting block # of image */
 #ifdef CONFIG_BLK_DEV_INITRD
-int real_root_dev;		/* MUST be int for sysctl! */
+kdev_t real_root_dev;
 #endif
 #endif
 
@@ -621,7 +621,7 @@
 #ifdef CONFIG_SCSI_BUSLOGIC
 	{ "BusLogic=", BusLogic_Setup},
 #endif
-#if defined(CONFIG_SCSI_NCR53C8XX)
+#ifdef CONFIG_SCSI_NCR53C8XX
 	{ "ncr53c8xx=", ncr53c8xx_setup},
 #endif
 #ifdef CONFIG_SCSI_EATA
diff -u --recursive --exclude-from=/home/geert/diff-excludes-linux --new-file jes-2.1.115/kernel/sched.c m68k/kernel/sched.c
--- jes-2.1.115/kernel/sched.c	Sun Aug  9 21:48:57 1998
+++ m68k/kernel/sched.c	Mon Aug 10 21:30:22 1998
@@ -1588,13 +1588,11 @@
 static void show_task(int nr,struct task_struct * p)
 {
 	unsigned long free = 0;
-	int state;
 	static const char * stat_nam[] = { "R", "S", "D", "Z", "T", "W" };
 
 	printk("%-8s %3d ", p->comm, (p == current) ? -nr : nr);
-	state = p->state ? ffz(~p->state) + 1 : 0;
-	if (((unsigned) state) < sizeof(stat_nam)/sizeof(char *))
-		printk(stat_nam[state]);
+	if (((unsigned) p->state) < sizeof(stat_nam)/sizeof(char *))
+		printk(stat_nam[p->state]);
 	else
 		printk(" ");
 #if (BITS_PER_LONG == 32)

Greetings,

						Geert

--
Geert Uytterhoeven                     Geert.Uytterhoeven@cs.kuleuven.ac.be
Wavelets, Linux/{m68k~Amiga,PPC~CHRP}  http://www.cs.kuleuven.ac.be/~geert/
Department of Computer Science -- Katholieke Universiteit Leuven -- Belgium


1,,
Mail-from: From owner-linux-m68k@phil.uni-sb.de  Tue Aug 11 09:53:18 1998
Received: from faui45.informatik.uni-erlangen.de (root@faui45.informatik.uni-erlangen.de [131.188.2.45])
	by faui21.informatik.uni-erlangen.de (8.8.8/8.1.6-FAU) with ESMTP id JAA23670
	for <rnhodek@immd2.informatik.uni-erlangen.de>; Tue, 11 Aug 1998 09:53:18 +0200 (MET DST)
Received: from www.phil.uni-sb.de (daemon@pf2.phil.uni-sb.de [134.96.82.13])
	by faui45.informatik.uni-erlangen.de (8.9.1/8.1.41-FAU) with ESMTP id JAA00728
	for <Roman.Hodek@informatik.uni-erlangen.de>; Tue, 11 Aug 1998 09:53:12 +0200 (MET DST)
Received: (from daemon@localhost)
	by www.phil.uni-sb.de (8.8.6/8.8.6/961001chris) id JAA11893
	for linux-m68k-outgoing; Tue, 11 Aug 1998 09:52:20 +0200 (MET DST)
To: Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be>
Cc: Joerg Dorchain <dorchain@wirbel.com>,
        Linux/m68k <linux-m68k@lists.linux-m68k.org>
Subject: Re: L68K: 2.1.115 questions
References: <Pine.LNX.4.02.9808110910130.19932-100000@mercator.cs.kuleuven.ac.be>
From: Jes Sorensen <Jes.Sorensen@cern.ch>
Date: 11 Aug 1998 09:51:19 +0200
In-Reply-To: Geert Uytterhoeven's message of "Tue, 11 Aug 1998 09:15:21 +0200 (CEST)"
Message-ID: <d3yaswgdmw.fsf@valhall.cern.ch>
Lines: 32
X-Mailer: Quassia Gnus v0.37/Emacs 20.2
Sender: owner-linux-m68k@phil.uni-sb.de

*** EOOH ***
To: Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be>
Cc: Joerg Dorchain <dorchain@wirbel.com>,
        Linux/m68k <linux-m68k@lists.linux-m68k.org>
Subject: Re: L68K: 2.1.115 questions
References: <Pine.LNX.4.02.9808110910130.19932-100000@mercator.cs.kuleuven.ac.be>
From: Jes Sorensen <Jes.Sorensen@cern.ch>
Date: 11 Aug 1998 09:51:19 +0200
In-Reply-To: Geert Uytterhoeven's message of "Tue, 11 Aug 1998 09:15:21 +0200 (CEST)"
Sender: owner-linux-m68k@phil.uni-sb.de

>>>>> "Geert" == Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be> writes:

Geert>   - Add lseek() and read() to unistd.h since sound needs it -
Geert> Get rid of incorrect/duplicate fb config docs - Revert
Geert> (update?) some files were Linus seems to have the most recent
Geert> version - Serial console init needs kmem_start

Arggggggghhhhh

diff -u --recursive --exclude-from=/home/geert/diff-excludes-linux --new-file jes-2.1.115/kernel/sched.c m68k/kernel/sched.c
--- jes-2.1.115/kernel/sched.c	Sun Aug  9 21:48:57 1998
+++ m68k/kernel/sched.c	Mon Aug 10 21:30:22 1998
@@ -1588,13 +1588,11 @@
 static void show_task(int nr,struct task_struct * p)
 {
 	unsigned long free = 0;
-	int state;
 	static const char * stat_nam[] = { "R", "S", "D", "Z", "T", "W" };
 
 	printk("%-8s %3d ", p->comm, (p == current) ? -nr : nr);
-	state = p->state ? ffz(~p->state) + 1 : 0;
-	if (((unsigned) state) < sizeof(stat_nam)/sizeof(char *))
-		printk(stat_nam[state]);
+	if (((unsigned) p->state) < sizeof(stat_nam)/sizeof(char *))
+		printk(stat_nam[p->state]);
 	else
 		printk(" ");
 #if (BITS_PER_LONG == 32)

Don't apply this, its broken! I sent Linus a fix for it last night.

Jes
